Qanday tuzatish xato: java.util.concurrent.ExecutionException: com.android.ide.common.process.ProcessException:

Men Eclipse loyihasi bor va men gradusli loyihaga eksport qilmoqdaman va men loyihani sinxronlanganda Android Studio-da ochaman Xato: java.util.concurrent.ExecutionException: com.android.ide.common.process.ProcessException: Xato: '': app: mergeDebugResources 'vazifasi bajarilmadi.

Xato: java.util.concurrent.ExecutionException: com.android.ide.common.process.ProcessException:

Bu mening build.gradle:

apply plugin: 'com.android.application'

android {
    compileSdkVersion 19
    buildToolsVersion "25.0.2"

    defaultConfig {
        applicationId "com.smok.maps"
        minSdkVersion 8
        targetSdkVersion 19
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
}

dependencies {
    compile 'com.android.support:support-v4:19.1.0'
    compile 'joda-time:joda-time:2.3'
    compile files('libs/ksoap2-android-assembly-3.6.0-jar-with-dependencies.jar')
    compile files('libs/osmbonuspack_v4.9.jar')
    compile files('libs/osmdroid-android-4.2-javadoc.jar')
    compile files('libs/osmdroid-android-4.2.jar')
    compile files('libs/slf4j-android-1.5.8.jar')
}
5

6 javoblar

Xo'sh, men bu masalani oldim, chunki menichidag loyiham Eclipse'dan Android Studio'dan import qilichidagan va kurslarga tugallanmagan.

Men qo'shgandan keyichida uni qutqardim

useLibrary 'org.apache.http.legacy'

ichida

defaultConfig {
}

quyida ko'rsatilgan

targetSdkVersion 25

Keyinchalik, men uni o'rnatishga majbur bo'ldim

michidaSdkVersion 9

Also, I added followichidag lichidaes

aaptOptions.cruncherEnabled = false
aaptOptions.useNewCruncher = false

yuqorida ko'rsatilgan

defaultConfig {
    //code snippet
}

Shunday qilib,

android {

    compileSdkVersion 25
    buildToolsVersion '25.0.2'

    aaptOptions.cruncherEnabled = false
    aaptOptions.useNewCruncher = false

    defaultConfig {
        applicationId "xxx.xxxx.xxxx.xxxx"
        michidaSdkVersion 9
        targetSdkVersion 25
        useLibrary  'org.apache.http.legacy'
        compileOptions {
            sourceCompatibility JavaVersion.VERSION_1_5
            targetCompatibility JavaVersion.VERSION_1_5
        }
        //remaichidaichidag code snippet
        //.....
    }
    //remaichidaichidag code snippet
    //.....
}

@tompok, you are gettichidag this error maybe due to jar files you are usichidag ichida dependencies may not be there.

ichidastead Google for their gradle dependencies and place the package name ichida place of path like it is ichida first lichidae:

compile 'com.android.support:support-v4:19.1.0'

Replace remaichidaichidag dependencies ichida the yuqorida ko'rsatilgan format.

Umid qilamanki, bu sizga yordam beradi.

______________________________________

EDIT:

You are facichidag this problem sichidace you are usichidag buildToolsVersion 25.0.2 whereas library you are usichidag is compile 'com.android.support:support-v4:19.1.0'

Buni faqat compile 'com.android.support:support-v4:25.0.2' ga o'zgartiring va sizning muammolaringiz echiladi.

Boshqa har qanday muammoga duch kelsangiz, boshqalarga javob sifatida qabul qiling, boshqalarga yordam berishi mumkin.

5
qo'shib qo'ydi

Modulni build.gradle da kodni sinab ko'ring:

 android {
//...
 aaptOptions.cruncherEnabled = false
 aaptOptions.useNewCruncher = false
//...
 }

Android studiyasi PNGni aniq tekshirmaganligini bildiradi.

4
qo'shib qo'ydi
Kechirasiz, men uchun ishlamagan.
qo'shib qo'ydi muallif Abhijit Chakra, manba
Men uchun ishlamadi
qo'shib qo'ydi muallif Lalit Jadav, manba

Men ushbu muammo bilan uchrashdim, chap va pastki chiziq chizig'ini chizish uchun .9 .png keyin OK. Omad.

3
qo'shib qo'ydi

ko'pincha bu xatolarga olib keladigan loyihaga qo'shilgan buzuq PNG tasvir. O'tish jurnalini tekshiring va faylni o'zgartiring.

Sometimes menu : File > InvalidateCaches/Restart also helps

1
qo'shib qo'ydi

Xo'sh, men Android studiyasida 3.1 ishlatganimda, men bu yechimni topa olmadim

android {
//...
 aaptOptions.cruncherEnabled = false
 aaptOptions.useNewCruncher = false
//...
 }

Aslida men tutilgan loyihani eng so'nggi android studiyasiga import qilish jarayonida bo'laman. Ushbu aniq xatoni qidirishda uch kun sarflayman.

 Error:java.util.concurrent.ExecutionException: com.android.ide.common.process.ProcessException: Error:Execution failed for task ':app:mergeDebugResources'.

Quyidagi havolalardan ba'zi bir manbalar topdim ...

So'ngra, image_name.9.png kengaytmali tasvirlar uchun chizilgan da qidirdim. va image_name.png uchun nomini o'zgartirdi . Shundan so'ng bu xato yo'qoldi. Shunga qaramay, bu mening loyiham uchun ishladi, hali bu muammo uchun boshqa sabablar haqida ishonch hosil qilmadi. Umid qilamanki, bu birov uchun foydali bo'lishi mumkin!

0
qo'shib qo'ydi

Keshlarni yaroqsiz holga keltiring, keyin loyihani yoping va qaytadan import qiling.

0
qo'shib qo'ydi